This commit was manufactured by cvs2svn to create tag 'HELIOS_SR1_RC4'.
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/.project b/features/org.eclipse.epp.allpackages.indigo.feature/.project
new file mode 100644
index 0000000..026b4aa
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/.project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.eclipse.epp.allpackages.indigo.feature</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.pde.FeatureBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.FeatureNature</nature>
+	</natures>
+</projectDescription>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/buckminster.cspex b/features/org.eclipse.epp.allpackages.indigo.feature/buckminster.cspex
new file mode 100644
index 0000000..c14a516
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/buckminster.cspex
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<cspecExtension
+	xmlns:com="http://www.eclipse.org/buckminster/Common-1.0"
+	xmlns="http://www.eclipse.org/buckminster/CSpec-1.0">
+
+    <actions>
+    	<private name="site.feature.exports" actor="ant">
+            <actorProperties>
+                <property key="buildFileId" value="buckminster.pdetasks"/>
+                <property key="targets" value="filter"/>
+            </actorProperties>
+            <properties>
+            	<property key="pattern" value="**/*.epp.*"/>
+            </properties>
+            <prerequisites alias="action.requirements">
+                <attribute name="unlimited.site.feature.exports"/>
+            </prerequisites>
+            <products alias="action.output" base="${buckminster.output}/jars.to.process"/>
+         </private>
+ 	</actions>
+
+	<alterActions>
+        <rename oldName="site.feature.exports" newName="unlimited.site.feature.exports"/>
+    </alterActions>
+
+</cspecExtension>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/build.properties b/features/org.eclipse.epp.allpackages.indigo.feature/build.properties
new file mode 100644
index 0000000..92c982a
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/build.properties
@@ -0,0 +1,3 @@
+bin.includes = feature.xml
+
+category.default=
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/build.xml b/features/org.eclipse.epp.allpackages.indigo.feature/build.xml
new file mode 100644
index 0000000..00bd484
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/build.xml
@@ -0,0 +1,196 @@
+<?xml version="1.0"?>
+<project name="project" default="build.site">
+	<property name="director.url" value="http://www.eclipse.org/downloads/download.php?file=/tools/buckminster/products/org.eclipse.equinox.p2.director.product_1.0.0.v20100203-1557.zip&amp;r=1" />
+
+	<!--Property file containing overrides for the default properties
+	-->
+	<property name="build.root" location="${user.home}/epp.build"/>
+	<property file="${build.root}/build.properties" />
+	<property name="bm.headless.site" value="http://download.eclipse.org/tools/buckminster/headless-3.5/" />
+	<property name="indigo.site" value="http://download.eclipse.org/releases/indigo/" />
+	<property name="staging.site" value="http://download.eclipse.org/releases/staging/" />
+	<property name="platform.site" value="http://download.eclipse.org/eclipse/updates/3.7milestones/" />
+	<property name="buildtools" location="${build.root}/tools" />
+	<property name="workspace" location="${build.root}/workspace" />
+	<property name="targetPlatformPath" location="${build.root}/TP" />
+	<property name="cquery.url" location="${basedir}/epp.cquery" />
+	<property name="tp.mspec" location="${basedir}/epp-tp.mspec" />
+	<property name="tp-mpc.mspec" location="${basedir}/epp-tp-mpc.mspec" />
+  
+	<!-- This macro executes the default application of an eclipse installation that resides
+	     in the folder ${buildtools}/@app
+	  -->
+	<macrodef name="eclipse.launch">
+		<attribute name="app"/>
+		<element name="args" optional="true" />
+		<sequential>
+			<!-- We assume that the eclipse installation is beneath ${buildtools} -->
+			<property name="@{app}.deploy.dir" value="${buildtools}/@{app}"/>
+
+			<!-- Find the Eclipse launcher and assing its location to the @{app}.launcher property -->
+			<pathconvert property="@{app}.launcher">
+				<first count="1">
+					<sort>
+						<fileset dir="${@{app}.deploy.dir}/plugins" includes="**/org.eclipse.equinox.launcher_*.jar" />
+						<reverse xmlns="antlib:org.apache.tools.ant.types.resources.comparators">
+							<date />
+						</reverse>
+					</sort>
+				</first>
+			</pathconvert>
+
+			<!-- Launch the eclipse application -->
+			<java fork="true" jar="${@{app}.launcher}" dir="${@{app}.deploy.dir}" failonerror="true">
+				<!-- Uncomment to debug <jvmarg value="-agentlib:jdwp=transport=dt_socket,address=8000,server=y,suspend=y"/> -->
+				<args />
+			</java>
+		</sequential>
+	</macrodef>
+
+	<!--Fetch and unzip the director
+	-->
+	<available file="${buildtools}/director/director" property="director.exists" />
+	<target name="get.director" unless="director.exists">
+		<tempfile destdir="${java.io.tmpdir}" prefix="director-" suffix=".zip" property="director.zip" deleteonexit="true"/>
+		<get src="${director.url}" dest="${director.zip}" />
+		<unzip src="${director.zip}" dest="${buildtools}" />
+	</target>
+
+	<!--Configure the Buckminster product with needed features
+	-->
+<!--				<arg value="${indigo.site}"/> -->
+	<target name="install.buckminster" depends="get.director">
+		<eclipse.launch app="director">
+			<args>
+        <jvmarg value="-Declipse.p2.mirrors=false" />
+        <arg value="-consoleLog"/>
+        <arg value="-r"/>
+        <arg value="${bm.headless.site}"/>
+        <arg value="-d"/>
+        <arg value="${buildtools}/buckminster"/>
+        <arg value="-p"/>
+        <arg value="Buckminster"/>
+        <arg value="-i"/>
+        <arg value="org.eclipse.buckminster.cmdline.product"/>
+        <arg value="-i"/>
+        <arg value="org.eclipse.buckminster.core.headless.feature.feature.group" />
+        <arg value="-i"/>
+        <arg value="org.eclipse.buckminster.cvs.headless.feature.feature.group" />
+        <arg value="-i"/>
+        <arg value="org.eclipse.buckminster.pde.headless.feature.feature.group" />
+			</args>
+		</eclipse.launch>
+	</target>
+
+  <target name="build.tp" depends="install.buckminster">
+    <eclipse.launch app="buckminster">
+      <args>
+        <arg value="-data" />
+        <arg value="${workspace}" />
+        <arg value="setpref"/>
+        <arg value="targetPlatformPath=${targetPlatformPath}" />
+      </args>
+    </eclipse.launch>
+    <eclipse.launch app="buckminster">
+      <args>
+        <jvmarg value="-Dplatform.site=${platform.site}" />
+        <jvmarg value="-Dindigo.site=${staging.site}" />
+        <jvmarg value="-Declipse.p2.mirrors=false" />
+        <arg value="-data" />
+        <arg value="${workspace}" />
+        <arg value="import"/>
+        <arg value="${tp.mspec}" />
+      </args>
+    </eclipse.launch>
+  	<copy todir="${targetPlatformPath}/plugins">
+  	  <fileset dir="/home/data/httpd/download.eclipse.org/releases/staging/aggregate/plugins">
+  	    <include name="**/org.eclipse*intro*"/>
+  	    <include name="**/org.eclipse*capabilities*"/>
+  	  </fileset>
+  	</copy>
+  </target>
+
+	<target name="build.workspace" depends="build.tp">
+		<eclipse.launch app="buckminster">
+			<args>
+				<jvmarg value="-Dplatform.site=${platform.site}" />
+				<jvmarg value="-Dindigo.site=${staging.site}" />
+				<jvmarg value="-Declipse.p2.mirrors=false" />
+				<arg value="-data" />
+				<arg value="${workspace}" />
+				<arg value="import"/>
+				<arg value="${cquery.url}" />
+			</args>
+		</eclipse.launch>
+	</target>
+
+	<target name="build.site" depends="build.workspace">
+	  
+    <tstamp>
+        <format 
+          property="build.id" 
+          pattern="yyyyMMdd-HHmm"
+          timezone="GMT" />
+    </tstamp>
+
+    <eclipse.launch app="buckminster">
+      <args>
+        <jvmarg value="-Dqualifier.replacement.*=generator:lastModified" />
+        <jvmarg value="-Dgenerator.lastModified.format=yyyyMMdd-HHmm" />
+        <jvmarg value="-Dtarget.os=*" />
+        <jvmarg value="-Dtarget.ws=*" />
+        <jvmarg value="-Dtarget.arch=*" />
+        <jvmarg value="-Dbuckminster.output.root=${build.root}/buildresult" />
+        <jvmarg value="-Dbuckminster.temp.root=${build.root}/temp" />
+        <jvmarg value="-Dbuild.id=${build.id}" />
+        <jvmarg value="-Dcbi.include.source=false" />
+        <jvmarg value="-Declipse.p2.mirrors=false" />
+        <arg value="-data" />
+        <arg value="${workspace}" />
+        <arg value="build"/>
+        <arg value="--clean"/>
+        <arg value="--thorough"/>
+      </args>
+    </eclipse.launch>
+	  
+		<eclipse.launch app="buckminster">
+			<args>
+				<jvmarg value="-Dqualifier.replacement.*=generator:lastModified" />
+				<jvmarg value="-Dgenerator.lastModified.format=yyyyMMdd-HHmm" />
+				<jvmarg value="-Dtarget.os=*" />
+				<jvmarg value="-Dtarget.ws=*" />
+				<jvmarg value="-Dtarget.arch=*" />
+				<jvmarg value="-Dbuckminster.output.root=${build.root}/buildresult" />
+				<jvmarg value="-Dbuckminster.temp.root=${build.root}/temp" />
+			  <jvmarg value="-Dbuild.id=${build.id}" />
+			  <jvmarg value="-Dcbi.include.source=false" />
+			  <jvmarg value="-Declipse.p2.mirrors=false" />
+				<arg value="-data" />
+				<arg value="${workspace}" />
+				<arg value="perform"/>
+				<arg value="org.eclipse.epp.allpackages.indigo.feature#site.p2.zip" />
+			</args>
+		</eclipse.launch>
+
+	</target>
+
+	<target name="clean.all" depends="clean.buckminster,clean.workspace,clean.build,clean.tp">
+		<delete dir="${buildtools}/director" />
+	</target>
+
+	<target name="clean.workspace">
+		<delete dir="${workspace}" />
+	</target>
+
+	<target name="clean.build">
+		<delete dir="${build.root}/buildresult" />
+	</target>
+
+  <target name="clean.tp">
+    <delete dir="${targetPlatformPath}" />
+  </target>
+
+	<target name="clean.buckminster">
+		<delete dir="${buildtools}/buckminster" />
+	</target>
+</project>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/eclipse.build.sh b/features/org.eclipse.epp.allpackages.indigo.feature/eclipse.build.sh
new file mode 100755
index 0000000..82f456a
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/eclipse.build.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+# Script with build.eclipse.org specific settings
+#
+export JAVA_HOME=/shared/common/ibm-java2-ppc-50
+export ANT_HOME=/shared/common/apache-ant-1.7.1
+$ANT_HOME/bin/ant
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp-mpc.cquery b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp-mpc.cquery
new file mode 100644
index 0000000..dd36b2b
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp-mpc.cquery
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<cq:componentQuery xmlns:cq="http://www.eclipse.org/buckminster/CQuery-1.0" resourceMap="epp.rmap">
+    <cq:rootRequest name="org.eclipse.epp.mpc" componentType="eclipse.feature"/>
+    <cq:property key="target.arch" value="*"/>
+    <cq:property key="target.os" value="*"/>
+    <cq:property key="target.ws" value="*"/>
+</cq:componentQuery>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp-mpc.mspec b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp-mpc.mspec
new file mode 100644
index 0000000..5ad3c00
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp-mpc.mspec
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mspec
+	xmlns="http://www.eclipse.org/buckminster/MetaData-1.0"
+	name="Buckminster MSPEC"
+	materializer="p2"
+	url="epp-tp-mpc.cquery">
+</mspec>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp.cquery b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp.cquery
new file mode 100644
index 0000000..620bebd
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp.cquery
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<cq:componentQuery xmlns:cq="http://www.eclipse.org/buckminster/CQuery-1.0" resourceMap="epp.rmap">
+    <cq:rootRequest name="org.eclipse.platform" componentType="eclipse.feature"/>
+    <cq:property key="target.arch" value="*"/>
+    <cq:property key="target.os" value="*"/>
+    <cq:property key="target.ws" value="*"/>
+</cq:componentQuery>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp.mspec b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp.mspec
new file mode 100644
index 0000000..333e140
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/epp-tp.mspec
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mspec
+	xmlns="http://www.eclipse.org/buckminster/MetaData-1.0"
+	name="Buckminster MSPEC"
+	materializer="p2"
+	url="epp-tp.cquery">
+</mspec>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/epp.cquery b/features/org.eclipse.epp.allpackages.indigo.feature/epp.cquery
new file mode 100644
index 0000000..2b4670b
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/epp.cquery
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<cq:componentQuery xmlns:cq="http://www.eclipse.org/buckminster/CQuery-1.0" resourceMap="epp.rmap">
+    <cq:rootRequest name="org.eclipse.epp.allpackages.indigo.feature" componentType="eclipse.feature"/>
+    <cq:property key="target.arch" value="*"/>
+    <cq:property key="target.os" value="*"/>
+    <cq:property key="target.ws" value="*"/>
+    <cq:advisorNode namePattern="^org\.mortbay\.management$" allowCircularDependency="true"/>
+    <cq:advisorNode namePattern="^org\.eclipse\.ui$" componentType="osgi.bundle" allowCircularDependency="true"/>
+</cq:componentQuery>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/epp.rmap b/features/org.eclipse.epp.allpackages.indigo.feature/epp.rmap
new file mode 100644
index 0000000..b1595ba
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/epp.rmap
@@ -0,0 +1,45 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rmap xmlns="http://www.eclipse.org/buckminster/RMap-1.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+	xmlns:mp="http://www.eclipse.org/buckminster/MavenProvider-1.0"
+	xmlns:pmp="http://www.eclipse.org/buckminster/PDEMapProvider-1.0"
+	xmlns:bc="http://www.eclipse.org/buckminster/Common-1.0">
+
+	<searchPath name="org.eclipse.epp.allpackages.indigo">
+		<provider readerType="cvs" componentTypes="osgi.bundle,eclipse.feature" mutable="true" source="true">
+			<uri format=":pserver:anonymous@dev.eclipse.org:/cvsroot/technology,org.eclipse.epp/features/{0}">
+				<bc:propertyRef key="buckminster.component" />
+			</uri>
+		</provider>
+	</searchPath>
+
+	<searchPath name="org.eclipse.epp.packages">
+		<provider readerType="cvs" componentTypes="osgi.bundle,eclipse.feature" mutable="true" source="true">
+			<uri format=":pserver:anonymous@dev.eclipse.org:/cvsroot/technology,org.eclipse.epp/packages/{0}">
+				<bc:propertyRef key="buckminster.component" />
+			</uri>
+		</provider>
+	</searchPath>
+
+	<searchPath name="indigo">
+		<provider readerType="eclipse.import" componentTypes="osgi.bundle,eclipse.feature" mutable="false" source="false">
+			<uri format="{0}?importType=binary">
+				<bc:propertyRef key="indigo.site" />
+			</uri>
+		</provider>
+	</searchPath>
+
+  <searchPath name="platform">
+    <provider readerType="eclipse.import" componentTypes="osgi.bundle,eclipse.feature" mutable="false" source="false">
+      <uri format="{0}?importType=binary">
+        <bc:propertyRef key="platform.site" />
+      </uri>
+    </provider>
+  </searchPath>
+
+	<locator searchPathRef="org.eclipse.epp.allpackages.indigo" pattern="^org\.eclipse\.epp\.allpackages\.indigo\..*$"/>
+	<locator searchPathRef="org.eclipse.epp.allpackages.indigo" pattern="^org\.eclipse\.epp\.targetplatform\..*$"/>
+	<locator searchPathRef="org.eclipse.epp.packages" pattern="^org\.eclipse\.epp\.package\..*$"/>
+    <locator searchPathRef="platform" failOnError="false" />
+	<locator searchPathRef="indigo"/>
+
+</rmap>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/feature.xml b/features/org.eclipse.epp.allpackages.indigo.feature/feature.xml
new file mode 100644
index 0000000..2eb3870
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/feature.xml
@@ -0,0 +1,72 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+      id="org.eclipse.epp.allpackages.indigo.feature"
+      label="Feature"
+      version="1.4.0.qualifier"
+      provider-name="Eclipse.org - EPP">
+
+   <description url="http://www.example.com/description">
+      [Enter Feature Description here.]
+   </description>
+
+   <copyright url="http://www.example.com/copyright">
+      [Enter Copyright Description here.]
+   </copyright>
+
+   <license url="http://www.example.com/license">
+      [Enter License Description here.]
+   </license>
+
+<!--
+   <includes
+         id="org.eclipse.epp.package.cpp.feature"
+         version="0.0.0"/>
+-->
+
+   <includes
+         id="org.eclipse.epp.package.common.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.java.feature"
+         version="0.0.0"/>
+
+<!--
+   <includes
+         id="org.eclipse.epp.package.jee.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.javascript.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.linuxtools.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.modeling.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.php.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.pulsar.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.rcp.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.reporting.feature"
+         version="0.0.0"/>
+
+   <includes
+         id="org.eclipse.epp.package.soa.feature"
+         version="0.0.0"/>
+-->
+
+</feature>
diff --git a/features/org.eclipse.epp.allpackages.indigo.feature/p2.inf b/features/org.eclipse.epp.allpackages.indigo.feature/p2.inf
new file mode 100644
index 0000000..b855195
--- /dev/null
+++ b/features/org.eclipse.epp.allpackages.indigo.feature/p2.inf
@@ -0,0 +1,3 @@
+# disable listing of feature in any category
+properties.1.name=org.eclipse.equinox.p2.type.category
+properties.1.value=false
\ No newline at end of file
diff --git a/releng/org.eclipse.epp.config/startEPPIndigo.sh b/releng/org.eclipse.epp.config/startEPPIndigo.sh
new file mode 100755
index 0000000..8913a9b
--- /dev/null
+++ b/releng/org.eclipse.epp.config/startEPPIndigo.sh
@@ -0,0 +1,206 @@
+#!/bin/bash
+#set -x
+umask 0022
+ulimit -n 2048
+
+# Change this if building on build.eclipse.org to "server"; "local" otherwise
+BUILDLOCATION="server"
+
+# Location of the build input
+HTTP_BASE="http://download.eclipse.org"
+FILESYSTEM_BASE="file:///home/data/httpd/download.eclipse.org"
+
+# Define the BASE_URL to be used
+if [ ${BUILDLOCATION} = "server" ]
+then
+   BASE_URL=${FILESYSTEM_BASE}
+   ECLIPSE="/shared/technology/epp/epp_build/indigo/eclipse/eclipse"
+   JRE="/opt/ibm/java2-ppc-50/bin/java"
+ else
+   BASE_URL=${HTTP_BASE}
+   ECLIPSE="eclipse"
+   JRE="java"
+fi
+
+###############################################################################
+
+# variables to adjust
+BASE_DIR=/shared/technology/epp/epp_build/indigo
+RELEASE_NAME="-indigo-M1"
+
+# variables
+START_TIME=`date -u +%Y%m%d-%H%M`
+MARKERFILENAME=".epp.nightlybuild"
+STATUSFILENAME="status.stub"
+CVSPATH="org.eclipse.epp/releng/org.eclipse.epp.config"
+CVSPROJECTPATH="org.eclipse.epp/packages"
+DOWNLOAD_BASE_URL="http://build.eclipse.org/technology/epp/epp_build/indigo/download"
+
+# directories and files
+DOWNLOAD_BASE_DIR="${BASE_DIR}/download"
+BUILD_DIR="${BASE_DIR}/build"
+DOWNLOAD_DIR="${DOWNLOAD_BASE_DIR}/${START_TIME}"
+EPPREPO_INPUT_DIR="/shared/technology/epp/epp_repo/indigo/epp.build/buildresult/org.eclipse.epp.allpackages.indigo.feature_1.4.0-eclipse.feature/site.p2"
+EPPREPO_WORKINGCOPY_DIR="${DOWNLOAD_DIR}/repository"
+MARKERFILE="${DOWNLOAD_DIR}/${MARKERFILENAME}"
+STATUSFILE="${DOWNLOAD_DIR}/${STATUSFILENAME}"
+LOGFILE="${DOWNLOAD_DIR}/build.log"
+LOCKFILE="/tmp/epp.build.indigo.lock"
+
+# repository locations
+#REPO_ECLIPSE_URL="${BASE_URL}/eclipse/updates/3.7.x/"
+REPO_ECLIPSE_URL="${BASE_URL}/eclipse/updates/3.7milestones/"
+REPO_SIMRELEASE_URL="${BASE_URL}/releases/indigo/"
+REPO_STAGING_URL="${BASE_URL}/releases/staging/"
+#REPO_EPP_URL="${BASE_URL}/technology/epp/packages/indigo"
+REPO_EPP_URL="file://${EPPREPO_INPUT_DIR}"
+REPO_EPP_WORKINGCOPY_URL="file://${EPPREPO_WORKINGCOPY_DIR}"
+
+# repositories used in the build
+METADATAREPOSITORIES="${REPO_ECLIPSE_URL},${REPO_STAGING_URL},${REPO_EPP_WORKINGCOPY_URL}"
+ARTIFACTREPOSITORIES="${REPO_ECLIPSE_URL},${REPO_STAGING_URL},${REPO_EPP_WORKINGCOPY_URL}"
+
+# definition of OS, WS, ARCH, FORMAT combinations - DO NOT FORGET to adjust the for loop
+OSes=(   win32  win32   linux   linux   macosx  macosx  )
+WSes=(   win32  win32   gtk     gtk     cocoa   cocoa   )
+ARCHes=( x86    x86_64  x86     x86_64  x86     x86_64  )
+FORMAT=( zip    zip     tar.gz  tar.gz  tar.gz  tar.gz  )
+
+###############################################################################
+
+# only one build process allowed
+## using the Hudson EPP lock, but leave the code in there for now
+#if [ -e ${LOCKFILE} ]; then
+#    echo "${START_TIME} EPP build - lockfile ${LOCKFILE} exists" >/dev/stderr
+#    exit 1
+#fi
+#trap "rm -f ${LOCKFILE}; exit" INT TERM EXIT
+#touch ${LOCKFILE}
+
+# create download directory and files, copy p2 repo to working location
+mkdir -p ${DOWNLOAD_DIR}
+touch ${MARKERFILE}
+touch ${STATUSFILE}
+cp -a ${EPPREPO_INPUT_DIR} ${EPPREPO_WORKINGCOPY_DIR}
+
+# log to file
+exec 2>&1 | tee ${LOGFILE}
+
+# determine which packages to build
+PACKAGES=""
+if [ $# = "0" ]; then
+  # generate the list from the packages checked into CVS
+  cvs -q -d :pserver:anonymous@dev.eclipse.org:/cvsroot/technology checkout -P ${CVSPROJECTPATH}
+  for file in  $(ls ${CVSPROJECTPATH} | grep -v feature | grep -v common | grep -v CVS);  
+  do
+    PACKAGES="${PACKAGES} ${file##org.eclipse.}" 
+  done
+else
+  # take the package names from the command lines if any given
+  PACKAGES="$@"
+fi
+echo "...building the following packages: ${PACKAGES}"
+echo "...using metadata repositories: ${METADATAREPOSITORIES}"
+echo "...using artifact repositories: ${ARTIFACTREPOSITORIES}"
+
+# load external functions
+. ${BASE_DIR}/${CVSPATH}/tools/functions.sh
+
+# check-out configuration
+echo "...checking out configuration to ${BASE_DIR}"
+cvs -q -d :pserver:anonymous@dev.eclipse.org:/cvsroot/technology checkout -P ${CVSPATH}
+pullAllConfigFiles ${BASE_DIR}/${CVSPATH}/packages_map.txt ${DOWNLOAD_DIR}
+
+# start statusfile
+echo "<tr>" >>${STATUSFILE}
+echo "<td>${START_TIME}</td>" >>${STATUSFILE}
+
+# build the packages
+for PACKAGE in ${PACKAGES};
+do
+  echo "Building package for IU ${PACKAGE}"
+  mkdir -p ${BUILD_DIR}/${PACKAGE}
+  
+  # Start statusfile
+  echo "<td>"  >>${STATUSFILE}
+
+  for index in 0 1 2 3 4 5;
+  do
+    echo -n "...EPP building ${PACKAGE} ${OSes[$index]} ${WSes[$index]} ${ARCHes[$index]} "
+    EXTENSION="${OSes[$index]}.${WSes[$index]}.${ARCHes[$index]}"
+    PACKAGE_BUILD_DIR="${BUILD_DIR}/${PACKAGE}/${EXTENSION}"
+    rm -rf ${PACKAGE_BUILD_DIR}
+    mkdir -p ${PACKAGE_BUILD_DIR}
+    ${ECLIPSE} -nosplash -consoleLog -application org.eclipse.equinox.p2.director \
+      -m ${METADATAREPOSITORIES} -a ${ARTIFACTREPOSITORIES} \
+      -installIU ${PACKAGE} \
+      -destination ${PACKAGE_BUILD_DIR}/eclipse \
+      -profile ${PACKAGE} \
+      -flavor tooling \
+      -profileproperties org.eclipse.update.install.features=true \
+      -bundlepool ${PACKAGE_BUILD_DIR}/eclipse \
+      -purgeHistory \
+      -p2.os ${OSes[$index]} \
+      -p2.ws ${WSes[$index]} \
+      -p2.arch ${ARCHes[$index]} \
+      -roaming \
+      -vm ${JRE} \
+      -vmargs -Declipse.p2.mirrors=false -Declipse.p2.data.area=${PACKAGE_BUILD_DIR}/eclipse/p2 \
+         2>&1 >${DOWNLOAD_DIR}/${PACKAGE}_${EXTENSION}.log
+    if [ $? = "0" ]; then
+      cd ${PACKAGE_BUILD_DIR}
+      PACKAGE_SHORT=`echo ${PACKAGE} | cut -d "." -f 3`${RELEASE_NAME}
+      if [ ${OSes[$index]} = "win32" ]; then
+        PACKAGEFILE="${START_TIME}_eclipse-${PACKAGE_SHORT}-${EXTENSION}.zip"
+        zip -r -o -q ${DOWNLOAD_DIR}/${PACKAGEFILE} eclipse
+      else
+        PACKAGEFILE="${START_TIME}_eclipse-${PACKAGE_SHORT}-${EXTENSION}.tar.gz"
+        tar zc --owner=100 --group=100 -f ${DOWNLOAD_DIR}/${PACKAGEFILE} eclipse
+      fi
+      cd ..
+      rm -r ${PACKAGE_BUILD_DIR}
+      echo "...successfully finished ${OSes[$index]} ${WSes[$index]} ${ARCHes[$index]} package build: ${PACKAGEFILE}"
+      echo ${PACKAGEFILE} >>${DOWNLOAD_DIR}/${PACKAGE}_${EXTENSION}.log
+      echo "<small style=\"background-color: rgb(204, 255, 204);\"><a href=\"${DOWNLOAD_BASE_URL}/${START_TIME}/${PACKAGEFILE}\">${OSes[$index]}.${ARCHes[$index]}</a></small><br>"  >>${STATUSFILE}
+    else
+      echo "...failed while building package ${OSes[$index]} ${WSes[$index]} ${ARCHes[$index]}"
+      echo "FAILED" >>${DOWNLOAD_DIR}/${PACKAGE}_${EXTENSION}.log
+      echo "<small style=\"background-color: rgb(255, 204, 204);\"><a href=\"${DOWNLOAD_BASE_URL}/${START_TIME}/${PACKAGE}_${EXTENSION}.log\">${OSes[$index]}.${ARCHes[$index]}</a></small><br>"  >>${STATUSFILE}
+    fi
+  done
+  echo "</td>"  >>${STATUSFILE}
+done
+
+# End statusfile
+echo "</tr>" >>${STATUSFILE}
+
+# remove 'some' (which?) files from the download server
+echo "...remove oldest build from download directory ${DOWNLOAD_BASE_DIR}"
+cd ${DOWNLOAD_BASE_DIR}
+TOBEDELETED_TEMP=`find . -name ${MARKERFILENAME} | grep -v "\./${MARKERFILENAME}" | sort | head -n 1`
+TOBEDELETED_DIR=`echo ${TOBEDELETED_TEMP} | cut -d "/" -f 2`
+echo "......removing ${TOBEDELETED_DIR} from ${DOWNLOAD_BASE_DIR}"
+rm -r ${TOBEDELETED_DIR}
+
+# link results somehow in a single file
+echo "...recreate ${DOWNLOAD_BASE_DIR}/${STATUSFILENAME}"
+rm ${DOWNLOAD_BASE_DIR}/${STATUSFILENAME}
+cd ${DOWNLOAD_BASE_DIR}
+for FILE in `ls -r */${STATUSFILENAME}`
+do
+  echo "......adding $FILE"
+  cat ${FILE} >>${DOWNLOAD_BASE_DIR}/${STATUSFILENAME}
+done
+cp -a --no-preserve=ownership ${DOWNLOAD_BASE_DIR}/${STATUSFILENAME} /home/data/httpd/download.eclipse.org/technology/epp/downloads/testing/statusIndigo.stub
+
+
+
+###############################################################################
+
+echo "EPP package build finished."
+
+# remove lockfile
+## using the Hudson EPP lock, but leave the code in there for now
+#rm ${LOCKFILE}
+
+## EOF